GuiCommand: Name: Part Cylinder MenuLocation: Part , Primitives , Cylinder Workbenches: Part_Workbench SeeAlso: Part_Primitives
Part Cylinder
Description
The Part Cylinder command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its Placement property, the bottom face of the cylinder lies on the XY plane with its center at the origin.
A Part Cylinder can be turned into a segment of a cylinder by changing its Angle property.
Usage
- There are several ways to invoke the command:
- Press the Cylinder button.
- Select the Part → Primitives → Cylinder option from the menu.
- The cylinder is created.
- Optionally change the dimensions and Placement of the cylinder by doing one of the following:
- Double-click the object in the Tree view:
- The Geometric Primitives task panel opens.
- Change one or more properties.
- The object is dynamically updated in the 3D view.
- Press the OK button.
- Change the properties in the Property editor.
- Change the Placement with the Std TransformManip command.
- Double-click the object in the Tree view:
Example
A Part Cylinder object created with the scripting example below is shown here.
Notes
- A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Properties
See also: Property editor.
A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Attachment}}
The object has the same attachment properties as a Part Part2DObject.
{{TitleProperty|Cylinder}}
-
Radius|Length: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
-
Height|Length: The height of the cylinder. The default is {{Value|10mm}}.
-
Angle|Angle: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° < value <= 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.
{{TitleProperty|Prism}}
-
First Angle|Angle: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° <= value < 90°}}. The default is {{Value|0°}}. (v0.20)
-
Second Angle|Angle: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° <= value < 90°}}. The default is {{Value|0°}}. (v0.20)
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
- Where {{Incode|"myCylinder"}} is the name for the object.
- The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))
doc.recompute()
{{Part_Tools_navi}}
⏵ documentation index > Part > Part Cylinder
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Part_Cylinder.md